Bug 120026 - up2date crashes with yum when fetching obsolete list
up2date crashes with yum when fetching obsolete list
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks: up2date-rhel3-u2 120067
  Show dependency treegraph
 
Reported: 2004-04-05 07:42 EDT by Rainer Traut
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-26 19:49:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My sources file (1.37 KB, text/plain)
2004-04-05 07:44 EDT, Rainer Traut
no flags Details

  None (edit)
Description Rainer Traut 2004-04-05 07:42:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.4.2)
Gecko/20040301

Description of problem:
I have made a yum repository for all rpms from U2 in it.
(dled all 4 isos and put the rpms in one dir)

Up2date ran fine with original version so I updated everything to U2
with my yum repository.
But it crashes when I run up2date now. (Newer up2date, same channel)

[root@localhost root]# up2date -u

Fetching package list for channel: u2...

Fetching http://servername:8080/u2beta/headers/header.info...
########################################
#######################################
Fetching Obsoletes list for channel: u2...
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1186, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 772, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 1065, in batchRun
    batch.run()
  File "up2dateBatch.py", line 58, in run
  File "up2dateBatch.py", line 99, in __findPackagesToUpdate
  File "packageList.py", line 515, in getPackagesToInstall
  File "packageList.py", line 395, in __findObsoletingPackages
TypeError: int() argument must be a string or a number


Version-Release number of selected component (if applicable):
up2date-4.2.8-1

How reproducible:
Always

Steps to Reproduce:
1. up2date -u
2. see it crash
3.
    

Actual Results:  up2date crashes with:
[root@localhost root]# up2date -u

Fetching package list for channel: u2...

Fetching http://servername:8080/u2beta/headers/header.info...
########################################
#######################################
Fetching Obsoletes list for channel: u2...
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1186, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 772, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 1065, in batchRun
    batch.run()
  File "up2dateBatch.py", line 58, in run
  File "up2dateBatch.py", line 99, in __findPackagesToUpdate
  File "packageList.py", line 515, in getPackagesToInstall
  File "packageList.py", line 395, in __findObsoletingPackages
TypeError: int() argument must be a string or a number

Expected Results:  Tell me there is nothing to update

Additional info:

Original up2date ran fine. I updated my install with all packages.
Comment 1 Rainer Traut 2004-04-05 07:44:47 EDT
Created attachment 99108 [details]
My sources file

My sources file with just one yum entry.
Comment 2 Adrian Likins 2004-04-05 15:42:36 EDT
Next fedora push should have a fix for this (4.3.15 or higher)
Comment 3 Rainer Traut 2004-04-09 11:33:43 EDT
Sorry, it's still not working:

[root@localhost root]# rpm -qa|grep up2date
up2date-4.3.15-2
up2date-gnome-4.3.15-2
[root@localhost root]# up2date -u

Fetching Obsoletes list for channel: u2beta...
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1271, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 799, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 1147, in batchRun
    batch.run()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 62, in run
    self.__findPackagesToUpdate()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 108, in
__findPackagesToUpdate
    self.availableUpdates = plist.getPackagesToInstall()
  File "/usr/share/rhn/up2date_client/packageList.py", line 574, in
getPackagesToInstall
    self.__findObsoletingPackages()
  File "/usr/share/rhn/up2date_client/packageList.py", line 454, in
__findObsoletingPackages
    if op & int(obsSense):
TypeError: int() argument must be a string or a number
[root@localhost root]# 

Still same /etc/sysconfig/rhn/sources file.
Comment 4 Adrian Likins 2004-04-12 16:18:23 EDT
You may need to blow away the cached obsoletes files in
/var/spool/up2date

Also, I misread the bug as a fedora bug. Sorry about
pointing you at a fedora update (though, that code
should work). 

I'll make sure the fix goes into the next rhel3 update.
Comment 5 Rainer Traut 2004-04-13 02:03:23 EDT
I emptied the
/var/spool/up2date
directory.

Now it works. Thank you.
Comment 6 Todd Warner 2004-08-26 19:49:00 EDT
Closing then.

Note You need to log in before you can comment on or make changes to this bug.